# LogDoctor: DatabaseHandler Struct Reference

Loading...
Searching...
No Matches
DatabaseHandler Struct Reference

## Public Member Functions

bool | checkDriver () const
| Checks the presence of the QSQLITE driver.

## Static Public Member Functions

static DatabaseWrapper | get (const DatabaseType db_type, const bool readonly=false)
| Returns an instance of the requested database.

## Member Function Documentation

## get()

DatabaseWrapper DatabaseHandler::get | ( | const DatabaseType | db_type,
|  | const bool | readonly = false )

static

Returns an instance of the requested database.

Parameters

  readonly | Whether the database whould be initialized in readonly mode

Exceptions

  DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/database/database.h
- logdoctor/modules/database/database.cpp